---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.execute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.execute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [execute](./sequelize.sequelizecrudrepository.execute.md)

## SequelizeCrudRepository.execute() method

**Signature:**

```typescript
execute(..._args: PositionalParameters): Promise<AnyObject>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  \_args | [PositionalParameters](./repository.positionalparameters.md) |  |

**Returns:**

Promise&lt;[AnyObject](./repository.anyobject.md)<!-- -->&gt;


